Create
curl --request POST \
--url https://api.eka.care/abdm/na/v1/registration/aadhaar/create-phr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"abha_address": "<string>",
"txn_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/na/v1/registration/aadhaar/create-phr"
payload = {
"abha_address": "<string>",
"txn_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({abha_address: '<string>', txn_id: '<string>'})
};
fetch('https://api.eka.care/abdm/na/v1/registration/aadhaar/create-phr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eka": {
"min_token": "<string>",
"oid": "<string>",
"uuid": "<string>"
},
"hint": "<string>",
"profile": {
"abha_address": "<string>",
"abha_addresses": [
"<string>"
],
"abha_number": "<string>",
"address": "<string>",
"day_of_birth": 123,
"first_name": "<string>",
"kyc_verified": true,
"last_name": "<string>",
"middle_name": "<string>",
"mobile": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"year_of_birth": 123
},
"refresh_token": "<string>",
"token": "<string>",
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Aadhaar
Create
This API is used to create a new ABHA address
POST
/
abdm
/
na
/
v1
/
registration
/
aadhaar
/
create-phr
Create
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Response
OK
Eka IDs
Show child attributes
Show child attributes
Hint for the mobile number
ABHA Profile
Show child attributes
Show child attributes
Refresh token for the user
Available options:
abha_end, confirm_mobile_otp, abha_select, abha_create Abha token of the user, issued by abdm
Was this page helpful?
⌘I

